#############################################################################
#
# This is the RPM 'spec'-file. It is used when we build a RPM from the
# sources.
#
#############################################################################
#
# Copyright (C) 2000 Jan Ekholm
#
#############################################################################

#############################################################################
# Preamble. This contains general information about the package.
#############################################################################
Summary   : A utility for grabbing a remote mouse and keyboard.
Name      : xremote
Version   : 1.2
Release   : 1
Copyright : GPL
Group     : X11/Utilities
Source    : http://www.infa.abo.fi/~chakie/xremote/xremote-1.2.tar.gz
URL       : http://www.infa.abo.fi/~chakie/xremote/
Packager  : Jan Ekholm <chakie@infa.abo.fi>

#############################################################################
# A description of the project
#############################################################################
%description
xremote is a small utility that allows you to grab the mouse and keyboard of 
a remote display. Everything then done with the local mouse and keyboard is
mirrored by the remote display. Only useful as long as both displays can be
seen at the same time.

#############################################################################
# Preparations for the install. We don't need to do anything special here,
# so we let the %setup-macro take care of creating a directory and unpacking
# the sources.
#############################################################################
%prep
%setup -n xremote


#############################################################################
# Build the project
#############################################################################
%build
ls
./configure --prefix=/usr/X11R6
make


#############################################################################
# Installing the software. Also runs 'ldconfig' in order to update the libs.
#############################################################################
%install
make install


#############################################################################
# Files to be included in the binary distribution. This is a bit horror...
#############################################################################
%files
%doc README ChangeLog
/usr/X11R6/man/man1/xremote.1
/usr/X11R6/bin/xremote

#############################################################################
# Cleaning up stuff. We remove all the object-files and old backup-copies
#############################################################################
%clean
make clean
